### Method

# ECal ClientView set_fields_of_interest

#### Declaration [src]

    void
    e_cal_client_view_set_fields_of_interest (
      ECalClientView* client_view,
      const GSList* fields_of_interest,
      GError** error
    )

#### Description [src]

Client can instruct server to which fields it is interested in only, thus the server can return less data over the wire. The server can still return complete objects, this is just a hint to it that the listed fields will be used only. The UID/RID fields are returned always. Initial views has no fields of interest and using `NULL` for `fields_of_interest` will unset any previous changes.

Some backends can use summary information of its cache to create artifical objects, which will omit stored object parsing. If this cannot be done then it will simply return object as is stored in the cache.

#### Parameters

`fields_of_interest`

  Type: A list of `utf8`

  List of field names in which the client is interested, or `NULL` to reset the fields of interest.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.